package de.ozgcloud.xta.client.model;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * Message status of a XTA message. The status is determined by the XTA sender/receiver server.
 */
@RequiredArgsConstructor
@Getter
public enum XtaMessageStatus {
	/**
	 * Status for a message that is open, i.e., has not been closed.
	 */
	OPEN(0),
	/**
	 * Status for a message that has been closed and has no errors or warnings.
	 */
	GREEN(1),
	/**
	 * Status for a message that has been closed and has warnings but no errors.
	 */
	YELLOW(2),
	/**
	 * Status for a message that has been closed and has errors.
	 */
	RED(3);

	private final Integer code;
}
