package de.ozgcloud.xta.client.model;

import java.time.ZonedDateTime;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;

import lombok.Builder;

/**
 * A transport report of a XTA message.
 *
 * @param metaData Metadata of the message.
 * @param reportTime Time of the report.
 * @param status Status of the message at the time of {@link XtaTransportReport#reportTime}.
 */
@Builder
public record XtaTransportReport(
		@NotNull @Valid XtaMessageMetaData metaData,
		@NotNull ZonedDateTime reportTime,
		@NotNull XtaMessageStatus status
) {
}
