package de.ozgcloud.xta.client.factory;

import de.ozgcloud.xta.client.exception.XtaClientRuntimeException;
import de.ozgcloud.xta.client.gen.v3.de.xoev.transport.xta.x211.CodeFehlernummer;
import de.ozgcloud.xta.client.gen.v3.de.xoev.transport.xta.x211.PermissionDeniedException;
import de.ozgcloud.xta.client.gen.v3.de.xoev.transport.xta.x211.PermissionDeniedExceptionType;

public class ClientRuntimeExceptionTestFactory {

	public static final String MESSAGE = "message";
	public static final String CAUSE_MESSAGE = "cause message";
	public static final String CAUSE_CODE = "cause code";
	public static final String CAUSE_NAME = "cause name";

	public static XtaClientRuntimeException create() {
		return new XtaClientRuntimeException(MESSAGE, createPermissionDeniedException());
	}

	private static PermissionDeniedException createPermissionDeniedException() {
		return new PermissionDeniedException(CAUSE_MESSAGE, createPermissionDeniedExceptionType());
	}

	private static PermissionDeniedExceptionType createPermissionDeniedExceptionType() {
		var code = new CodeFehlernummer();
		code.setCode(CAUSE_CODE);
		code.setName(CAUSE_NAME);

		var exceptionType = new PermissionDeniedExceptionType();
		exceptionType.setErrorCode(code);
		return exceptionType;
	}

}
