package de.ozgcloud.xta.client.factory;

import static de.ozgcloud.xta.client.factory.XtaFileTestFactory.*;

import jakarta.activation.DataHandler;
import jakarta.mail.util.ByteArrayDataSource;

import de.ozgcloud.xta.client.gen.v3.de.xoev.transport.xta.x211.ContentType;

public class ContentTypeTestFactory {

	public static ContentType create() {
		return createWithId(XTA_FILE_ID);
	}

	public static ContentType createWithId(String messageId) {
		var content = new ContentType();
		content.setValue(createDataHandler(XTA_FILE_CONTENT));
		content.setContentDescription(XTA_FILE_CONTENT_DESCRIPTION);
		content.setContentType(XTA_FILE_CONTENT_TYPE);
		content.setEncoding(XTA_FILE_ENCODING);
		content.setFilename(XTA_FILE_NAME);
		content.setId(messageId);
		content.setLang(XTA_FILE_LANGUAGE);
		content.setSize(XTA_FILE_SIZE);
		return content;
	}

	private static DataHandler createDataHandler(byte[] contentTypeContent) {
		return new DataHandler(new ByteArrayDataSource(contentTypeContent, "application/octet-stream"));
	}
}
