package de.ozgcloud.xta.client.factory;

import static de.ozgcloud.xta.client.factory.XtaFileTestFactory.*;

import java.util.List;

import de.ozgcloud.xta.client.gen.v3.de.xoev.transport.xta.x211.GenericContentContainer;

public class GenericContentContainerTestFactory {
	public static GenericContentContainer create() {
		var genericContentContainer = new GenericContentContainer();
		genericContentContainer.setContentContainer(createContainer());
		return genericContentContainer;
	}

	private static GenericContentContainer.ContentContainer createContainer() {
		var contentContainer = new GenericContentContainer.ContentContainer();
		contentContainer.setMessage(ContentTypeTestFactory.create());
		contentContainer.getAttachment().addAll(List.of(
				ContentTypeTestFactory.createWithId(XTA_FILE_ID_2),
				ContentTypeTestFactory.createWithId(XTA_FILE_ID_3)
		));
		return contentContainer;
	}
}
