package de.ozgcloud.xta.client.factory;

import java.math.BigInteger;

import de.ozgcloud.xta.client.gen.v3.eu.osci.ws.x2008.x05.transport.MsgBoxResponseType;

public class MsgBoxResponseTypeTestFactory {
	public static final String MSG_BOX_REQUEST_ID = "msgBoxRequestId1";
	public static final BigInteger ITEMS_PENDING = BigInteger.valueOf(5);

	public static MsgBoxResponseType create() {
		var msgBoxResponseType = new MsgBoxResponseType();
		msgBoxResponseType.setMsgBoxRequestID(MSG_BOX_REQUEST_ID);
		return msgBoxResponseType;
	}

	public static MsgBoxResponseType createWithPendingMessages() {
		var msgBoxResponseType = create();
		msgBoxResponseType.setItemsPending(ITEMS_PENDING);
		msgBoxResponseType.setNoMessageAvailable(null);
		return msgBoxResponseType;
	}

	public static MsgBoxResponseType createWithNoPendingMessages() {
		var msgBoxResponseType = create();
		msgBoxResponseType.setItemsPending(null);
		msgBoxResponseType.setNoMessageAvailable(new MsgBoxResponseType.NoMessageAvailable());
		return msgBoxResponseType;
	}
}
