package de.ozgcloud.xta.client.factory;

import java.io.IOException;
import java.io.StringReader;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathFactory;

import org.w3c.dom.Document;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

import lombok.SneakyThrows;

public class XmlDocumentTestFactory {

	public static Document createXMLDocument(String xmlString) {
		try {
			return DocumentBuilderFactory.newInstance()
					.newDocumentBuilder()
					.parse(new InputSource(new StringReader(xmlString)));
		} catch (ParserConfigurationException | IOException | SAXException e) {
			throw new RuntimeException(e);
		}
	}

	@SneakyThrows
	public static XPathExpression createXPathExpression(String xPathString) {
		return XPathFactory.newInstance().newXPath().compile(xPathString);
	}
}
