package de.ozgcloud.xta.client.factory;

import static de.ozgcloud.xta.client.factory.MessageMetaDataTestFactory.*;

import java.math.BigInteger;
import java.util.List;

import de.ozgcloud.xta.client.model.XtaMessageMetaDataListing;

public class XtaMessageMetaDataListingTestFactory {

	public final static BigInteger PENDING_MESSAGES_COUNT = BigInteger.valueOf(7);

	public static XtaMessageMetaDataListing create() {
		return createBuilder().build();
	}

	public static XtaMessageMetaDataListing.XtaMessageMetaDataListingBuilder createBuilder() {
		return XtaMessageMetaDataListing.builder()
				.messages(List.of(XtaMessageMetaDataTestFactory.create(),
						XtaMessageMetaDataTestFactory.createBuilder()
								.messageId(MESSAGE_ID2)
								.messageTypeCode(MESSAGE_TYPE_CODE2)
								.build(),
						XtaMessageMetaDataTestFactory.createBuilder()
								.messageId(MESSAGE_ID3)
								.messageTypeCode(MESSAGE_TYPE_CODE3)
								.build()))
				.pendingMessageCount(PENDING_MESSAGES_COUNT);
	}
}
