package de.ozgcloud.xta.client.xdomea;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.ozgcloud.xta.client.xdomea.reader.ZipFileEntryReader;

class XdomeaMetaDataValidatorFactoryTest {

	@InjectMocks
	private XdomeaMetaDataValidatorFactory factory;

	@Mock
	private ZipFileEntryReader zipFileEntryReader;

	@DisplayName("create")
	@Nested
	class TestCreate {

		@DisplayName("should return")
		@Test
		void shouldReturn() {
			var result = factory.create();

			assertThat(result).usingRecursiveComparison().isEqualTo(XdomeaMetaDataValidator.builder()
					.zipFileEntryReader(zipFileEntryReader)
					.build());
		}
	}
}